apr-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From traw...@apache.org
Subject svn commit: r1542810 - /apr/site/trunk/docs/docs/propagate-docs.sh
Date Sun, 17 Nov 2013 20:48:16 GMT
Author: trawick
Date: Sun Nov 17 20:48:16 2013
New Revision: 1542810

URL: http://svn.apache.org/r1542810
Log:
fail if run in shell without pushd

Modified:
    apr/site/trunk/docs/docs/propagate-docs.sh

Modified: apr/site/trunk/docs/docs/propagate-docs.sh
URL: http://svn.apache.org/viewvc/apr/site/trunk/docs/docs/propagate-docs.sh?rev=1542810&r1=1542809&r2=1542810&view=diff
==============================================================================
--- apr/site/trunk/docs/docs/propagate-docs.sh (original)
+++ apr/site/trunk/docs/docs/propagate-docs.sh Sun Nov 17 20:48:16 2013
@@ -23,7 +23,10 @@ dstdir="$2"
 
 # figure out which files are unique (in the source or destination)
 unique="`((cd \"$srcdir\" && ls) && cd \"$dstdir\" && ls) | sort
| uniq -u`"
-pushd $dstdir
+if ! pushd $dstdir; then
+  echo "Run this with bash or some other shell with pushd/popd!" 1>&2
+  exit 1
+fi
 for fname in $unique; do
   is_html="`echo $fname | grep '.html$'`"
   if test -z "$is_html"; then



Mime
View raw message